#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

int main(int argc, char* argv[]) {
    setName("compare two signed int%d's line by line", 8 * int(sizeof(int)));
    registerTestlibCmd(argc, argv);

    int T = inf.readInt();  

    for (int t = 0; t < T; t++) {
        int ja = ans.readInt();
        int pa = ouf.readInt();

        if (ja != pa)
            quitf(_wa, "on test %d: expected %d, found %d", t + 1, ja, pa);
    }

    quitf(_ok, "all answers are correct");
}